Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2060751 - “hunspell -D” lists dictionaries twice
Summary: “hunspell -D” lists dictionaries twice
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hunspell
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-04 08:14 UTC by Mike FABIAN
Modified: 2022-03-24 00:56 UTC (History)
9 users (show)

Fixed In Version: hunspell-1.7.0-18.fc37 hunspell-1.7.0-19.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-07 11:27:04 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Mike FABIAN 2022-03-04 08:14:22 UTC
Testing for:

https://fedoraproject.org/wiki/Changes/Hunspell_dictionary_dir_change

I found:

[mfabian@fedora ibus-typing-booster]$ hunspell -D 2>&1 | grep hi_IN
/usr/share/hunspell/hi_IN
/usr/share/myspell/hi_IN
[mfabian@fedora ibus-typing-booster]$ ls -l /usr/share/myspell
lrwxrwxrwx. 1 root root 19 Feb 16 10:35 /usr/share/myspell -> /usr/share/hunspell
[mfabian@fedora ibus-typing-booster]$

I.e. hunspell -D lists the dictionaries twice.

Comment 1 Jens Petersen 2022-03-07 06:20:17 UTC
Hmm right - short of removing /usr/share/myspell from the hunspell paths
I don't really have a good suggestion here.

Should we actively do that?
I suppose it makes sense if it is a symlink like in F36+.

Comment 2 Jens Petersen 2022-03-07 09:52:13 UTC
On the other hand in a later release I think we can drop the myspell -> hunspell/ symlink:
so another approach would be to just wait for this to "fix itself" eventually.

Comment 3 Caolan McNamara 2022-03-07 10:56:55 UTC
I can remove myspell from the search path for the >= f36 case where we know its a symlink to the already searched hunspell dir, it looks like a simple oneliner

Comment 4 Fedora Update System 2022-03-07 11:25:38 UTC
FEDORA-2022-d05e918a68 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d05e918a68

Comment 5 Fedora Update System 2022-03-07 11:27:04 UTC
FEDORA-2022-d05e918a68 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2022-03-07 11:52:15 UTC
FEDORA-2022-3dc0bacfc1 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-3dc0bacfc1

Comment 7 Fedora Update System 2022-03-07 15:51:38 UTC
FEDORA-2022-3dc0bacfc1 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-3dc0bacfc1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-3dc0bacfc1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-03-17 04:23:46 UTC
FEDORA-2022-e2ba2d3685 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e2ba2d3685

Comment 9 Fedora Update System 2022-03-17 17:11:47 UTC
FEDORA-2022-e2ba2d3685 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-e2ba2d3685`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e2ba2d3685

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-03-24 00:56:27 UTC
FEDORA-2022-e2ba2d3685 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.